﻿// Author: INRP/Creator: MappetizerCore 10.3.3 by uismedia (http://www.uismedia.de); 15/06/2013 08:01:08
var mv_Query = null;
dojo.require("dijit.TitlePane");
dojo.require("dijit.form.TextBox");
dojo.require("dijit.form.Textarea");
dojo.require("dojo.parser");
dojo.require("dijit.layout.BorderContainer");
dojo.require("dijit.layout.ContentPane");
dojo.require("dijit.layout.TabContainer");
dojo.require("dijit.form.Button");
dojo.require("dijit.form.Select");
dojo.require("dijit.Toolbar");
dojo.require("dojo.data.ItemFileReadStore");
dojo.require("dijit.form.FilteringSelect");
dojo.require("dojox.image.Lightbox");
dojo.require("dijit.form.ComboBox");
dojo.require("dijit.Dialog");

dojo.require("dojox.charting.Chart2D");
dojo.require("dojox.charting.Theme");
dojo.require("dojox.color.Palette");
dojo.require("dojox.charting.action2d.Tooltip");
dojo.require("dojox.charting.action2d.Highlight");
dojo.require("dojox.charting.action2d.MoveSlice");
dojo.require("dojox.charting.action2d.Magnify");
dojo.require("dojox.gfx");
// our fancy preloader-hider-function:
var hideLoader = function(){
  dojo.fadeOut({
    node:"MVpreloader",
    duration:700,
    onEnd: function(){
      dojo.style("MVpreloader", "display", "none");
    }
  }).play();
}

dojo.addOnLoad(function() {
  //Do not delete or change this function
  var leg = mv_embedSVGNode(dojo.doc,"MVlegendDoc","440px","731px","embfiles/legend.svg");
  dojo.byId("MVlegend0").appendChild(leg);

  if (dojo.byId("MVoverview") != null) {
    var over = mv_embedSVGNode(dojo.doc,"MVoverviewDoc","150px","150px","embfiles/overview.svg");
    dojo.byId("MVoverview").appendChild(over);
  }

  var map = mv_embedSVGNode(dojo.doc,"MVmapDoc","500px","500px","embfiles/map.svg");
  dojo.byId("MVmap").appendChild(map);

  if (dojo.isIE < 9) {
    checkAndGetSVGViewer();
  }
  // Add functions to toolbar
  dojo.connect(dojo.byId("MVtoolbar.zoomin"),"onclick",mv_zoomInTool);
  dojo.connect(dojo.byId("MVtoolbar.zoomout"),"onclick",mv_zoomOutTool);
  dojo.connect(dojo.byId("MVtoolbar.pan"),"onclick",mv_panTool);
  dojo.connect(dojo.byId("MVtoolbar.fullextent"),"onclick",mv_fullExtent);
  dojo.connect(dojo.byId("MVtoolbar.identify"),"onclick",mv_identifyTool);
  dojo.connect(dojo.byId("MVtoolbar.print"),"onclick",mv_print);
  dojo.connect(dojo.byId("MVtoolbar.koord"),"onclick",mv_coordinateTool);
  dojo.connect(dojo.byId("body"),"onresize",mv_resizeMap);
  mv_watchSplitter(dijit.byId("MVBorderContainer"));

  mv_checkLoaded();
});

function mv_DocSettings() {
  //Do not delete or change this function;
  mv_Doc.userSettings("white","silver","red","yellow","#ECE9D8",true,true);
  mv_Doc.Texts["IESupport"] = "";
  mv_Doc.Texts["Flicker"] = "Highlight object";
  mv_Doc.Texts["Close"] = "Fermer la fenêtre";
  mv_Doc.Texts["Hyperlink"] = "D'autres informations";
  mv_Doc.Texts["QueryNoRec"] = "Aucun enregistrement trouve";
  mv_Doc.Texts["QueryRec1"] = " sur ";
  mv_Doc.Texts["QueryRec2"] = " sélectionnés:";
  mv_Doc.Texts["QueryRec3"] = "Jeux de donnees";
  mv_Doc.Texts["QueryHead"] = "Résultat de la requête";
  mv_Doc.Texts["QueryHelpTable"] = "Note: Bouger le curseur sur les lignes pour le sélectionner sur la carte.";
  mv_Doc.Texts["QueryStatus1"] = "Le tableau est en chargement, veuillez patientez ...";
  mv_Doc.Texts["QueryStatus2"] = "Le tableau est chargé.";
  mv_Doc.Texts["RecNo"] = "N°";
  mv_Doc.Texts["QueryBack"] = "Générateur de requêtes";
  mv_Doc.Texts["ZoomTo"] = "Zoom to object";
  mv_Doc.Texts["Print"] = "Imprimer";
  mv_Doc.Texts["Identify"] = "Information objet";
  mv_Doc.Texts["EnlargeGraph"] = "Enlarge graph";
  mv_Doc.CheckStatus = "w35uMD8";
  new MV.ZoomObject("MVlistZoomObject0",0);
}

function mv_MapSettings() {
  //Do not delete or change this function;
  new MV.Layer("th0",true,true,true,true,"FeatureLayer","","");
  new MV.Layer("th1",true,true,true,true,"FeatureLayer","","");
  new MV.Layer("th2",true,true,true,true,"GroupLayer","","");
  new MV.Layer("th2-0",false,true,true,true,"FeatureLayer","","");
  new MV.Layer("th2-1",false,true,true,true,"FeatureLayer","","");

  new MV.Layer("th3",true,true,true,true,"FeatureLayer","","");
  new MV.Layer("th4",true,false,false,true,"TileLayer","","");
  new MV.SVGTileRules({X:1250.004,Y:31247.642,Width:99999.076,Height:35845.114,XTilesNum:3,YTilesNum:2,Ext:"svg"},"th4",33333.025,2);

  new MV.Layer("th5",true,false,false,true,"TileLayer","","");
  new MV.SVGTileRules({X:1250.004,Y:28021.438,Width:99999.076,Height:48228.331,XTilesNum:2,YTilesNum:1,Ext:"svg"},"th5",49999.538,1);

  new MV.Layer("th6",true,false,false,true,"TileLayer","","");
  new MV.SVGTileRules({X:1250.004,Y:28021.438,Width:99999.076,Height:48228.331,XTilesNum:2,YTilesNum:1,Ext:"svg"},"th6",49999.538,1);

  new MV.Layer("th7",true,false,false,true,"TileLayer","","");
  new MV.SVGTileRules({X:1250.004,Y:28021.438,Width:99999.076,Height:38761.675,XTilesNum:2,YTilesNum:1,Ext:"svg"},"th7",49999.538,1);

  new MV.Layer("th8",true,true,true,true,"FeatureLayer","","");
  mv_Map.userSettings(-51249.542,51250,172.320819112628,277.775209792998,3,false,1,"");
  mv_Map.Scalebar = false;
}

function mv_initializeLegend() {
  //Do not delete or change this function;
}

function mv_ScalebarSettings() {
  //Do not delete or change this function;
}

function mv_initializeSettings() {
  //Do not delete or change this function;
  mv_declareClassChart();

  mv_declareClassIdentifyObject();
  mv_declareClassIdentifyMW();
  mv_declareClassIdentifyTP();

  mv_declareClassQueryBuilder();
  mv_Query = new MV.QueryBuilder();
  mv_Query.Doc = document; 
  mv_Query.txtHelp = "Pour construire une expression, cliquez successivement sur\nle champ qui vous intéresse, sur un opérateur et enfin sur la\nvaleur de référence de votre requête.\nVous pouvez aussi écrire directement votre requête.\nLes noms de champ doivent être entre parenthèses.\n\n[NumericField] = 123.45\n\nDans vos requêtes, les caractères de type texte doivent\ntoujours être entre doubles guillemets.\n\n[TextField] = 'This is a text'\n\nUtilisez l'opérateur LIKE pour les\nrecherches effectuées à l'aide des caractères génériques (ou jokers).\n'%' remplace un nombre quelconque de caractères.\n\n[TextField] like 'This is%'\n\nVous pouvez combiner les opérateurs AND et OR dans une requête.\n\n[NumericField] >= 123.45 or [TextField] = 'This is a text'";

  mv_Doc.Toolbars = new MV.List();
  mv_declareClassToolbar();
  mv_createToolbar();
  dijit.byId("MVtoolbar.identify").set('checked', true);
}

function mv_initializeSettings2() {
 //Do not delete or change this function;
  hideLoader();
}


function mv_userInit() {
//This function is for your own scripts, it will be called on loading, do not delete it
//  mv_alert("function mv_userInit()");
}

function mv_userMVDocToolbar(objButton) {
//This function is for your own toolbar buttons, do not delete it
//  switch(objButton.id) {
//      case "MVtoolbar.mybutton":
//          objButton.Function = "testFunc('hier',2)";
//          objButton.State = 1;  //this button is a radio button
//          break;
//  }
}

